package com.sunxung.factoring.mapper.sys;

import com.sunxung.factoring.entity.sys.FileStorage;
import com.sunxung.factoring.entity.sys.FileStorage.Belong;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface FileStorageMapper {

    void add(FileStorage fileStorage);

    void update(FileStorage fileStorage);

    void delete(Long id);

    FileStorage get(Long id);

    FileStorage getByType(String type);

    int updateBelongById(@Param("id") Long id, @Param("belong") Belong belong);

    /**
     * 获取文件信息
     *
     * @param belongId 附属对象Id
     * @return
     */
    List<FileStorage> findByBelongId(String belongId);

    List<FileStorage> findByBelongIdAndBelongType(@Param("belongId")String belongId, @Param("belongType")String belongType);

    List<Long> selectInvalidFileStorage();

    void updateBusinessId(@Param("fileId")Long fileId, @Param("businessId")Long businessId);
}
